Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4110 - libpng and xv problem
Summary: libpng and xv problem
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libpng
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-19 12:07 UTC by milburn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-19 13:37:26 UTC


Attachments (Terms of Use)

Description milburn 1999-07-19 12:07:04 UTC
After upgrading to RH6.0 my users reported the following
error message while trying to launch "xv."

xv: error in loading shared libraries: libpng.so.0: cannot
open shared object file: No such file or directory


I looked in /usr/lib and the libpng.so.0 sym link that
was there in RH5.x was now gone, but the xv version
(xv-3.10a-9) had not been recompiled for the newer
version of libpng.

My work around was to sym link /usr/lib/libpng.so.2.1.0.3
to /usr/lib/libpng.so.0.

Just thought you'd like to know.

-shane

Comment 1 Jay Turner 1999-07-19 13:37:59 UTC
Yes, we stopped shipping XV as of the 6.0 release due to licensing
issues, and therefore it did not get upgraded, thus breaking this
dependency.  Sorry about that.  I am forwarding this issue to a
developer to try and be a little more proactive in the future about
breaking dependencies for packages that are no longer a part of the
distribution.

Comment 2 Michael K. Johnson 1999-07-30 21:33:59 UTC
You can probably rebuild the xv source package from an older
distribution on your 6.0 system if you want it.


Note You need to log in before you can comment on or make changes to this bug.